name: detect3d

cmd:
  - start: |
      source_ros

      echo "using image topic: $RGB_CAM_TOPIC"
      echo "using depth topic: $DEPTH_CAM_TOPIC"
      echo "using camera info topic: $DEPTH_CAM_INFO_TOPIC"

      roslaunch clf_object_recognition_3d detect.launch image_topic:=$RGB_CAM_TOPIC depth_topic:=$DEPTH_CAM_TOPIC info_topic:=$DEPTH_CAM_INFO_TOPIC
  - check: |
      source ${prefix}/setup.bash
      rosnode list | grep detect_3d

wait: 5
requires:
  - rgbd

provides:
  - object_detection

host: ${laptop}
